Bug 87185 - CONTEXT MENU: Rearrangement of image options
Summary: CONTEXT MENU: Rearrangement of image options
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:5.0.0 target:4.4.0.2
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2014-12-10 07:22 UTC by Yousuf Philips (jay)
Modified: 2015-05-21 16:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
image context menu (18.49 KB, image/png)
2014-12-10 07:22 UTC, Yousuf Philips (jay)
Details
new image context menu (18.63 KB, image/png)
2014-12-23 02:03 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-10 07:22:34 UTC
Created attachment 110669 [details]
image context menu

The image context menu in writer needs to be reorganized to better show importance and less used features should to be removed.

Step 1 - Rearrangement
The arrange/alignment section should be moved to the bottom of the menu and the save/change image section should be moved to the top underneath the clipboard functions.

Step 2 - Removals
The 'Rotate Image' submenu should be removed as it is available in the image toolbar and the toolbar also has flip functions. ImageMap is a feature used in html editors like Writer Web and is a feature rarely used. Description is also another highly unused feature. Alignment and anchor submenus are duplicates of the same features in the frame toolbar.

Step 3 - Icons
Many of these entries are missing icons, with the most important one that is needed is for the 'Image...' entry.
Comment 1 tommy27 2014-12-15 16:51:21 UTC
(In reply to Jay Philips from comment #0)

I set status NEW and I give my 2 cents about it.

> Step 1 - Rearrangement
> The arrange/alignment section should be moved to the bottom of the menu and
> the save/change image section should be moved to the top underneath the
> clipboard functions.

I agree. logical disposition.

> Step 2 - Removals
> The 'Rotate Image' submenu should be removed as it is available in the image
> toolbar and the toolbar also has flip functions. ImageMap is a feature used
> in html editors like Writer Web and is a feature rarely used. Description is
> also another highly unused feature. Alignment and anchor submenus are
> duplicates of the same features in the frame toolbar.

I'd leave all those items. they are less used but if you remove them all the basic users won't even know that they exist. moreover I find useful to have the rotate item either in the context menu and in the toolbar .

> Step 3 - Icons
> Many of these entries are missing icons, with the most important one that is
> needed is for the 'Image...' entry.

More icons needed, expecially that one.
Comment 2 Yousuf Philips (jay) 2014-12-16 12:52:50 UTC
Patch in for 'Image...' - https://gerrit.libreoffice.org/#/c/13493/
Comment 3 Commit Notification 2014-12-17 09:02:00 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd230388d6955dc969eadbfe24981182f86c9de5

fdo#87185 add icon to Format > Image and it context menu entry

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-12-17 09:04:30 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58608ea998e1819a7c1212f0d19effbf546cb1ca&h=libreoffice-4-4

fdo#87185 add icon to Format > Image and its context menu entry (4.4)

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-22 14:44:51 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29bb99c5e735aa1d23e15816bb44f56e79e9bbc7

fdo#87185 reorganize the image context menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 tommy27 2014-12-22 14:49:01 UTC
hi jay,
would you mind uploading a screenshot with the new configuration?
thanks.
Comment 7 Commit Notification 2014-12-23 01:57:24 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfffff2a59983466748211944bc02013f4eba4b4

fdo#87185 add verbs before entries in image context menu

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Yousuf Philips (jay) 2014-12-23 02:03:33 UTC
Created attachment 111197 [details]
new image context menu

Here you go tommy. I basically did step 1 (rearranging) and removed imagemap and description of step 2. I believe it still needs more tweaking.
Comment 9 Commit Notification 2014-12-26 14:10:39 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d21eae2447c227ad945d2b9df8cab895f792dd04

fdo#87185 rearrange image context menu and add icons to a few entries

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-01-07 21:53:56 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78cb68248ea7bc8a5ea52b0992c6d1eadd7633a4&h=libreoffice-4-4

fdo#87185 reorganize the image context menu (4.4)

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Mike §chinagl 2015-05-21 16:19:11 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Rearrangement of the image context menu. Elaborate on the specific changes! tdf#87185 (Yousuf Philips)